/* kedesign's special effects */
/* top Header */

	body.subpage {
		padding-top: 0;
	}
	@-moz-keyframes reveal-tophead {
		0% {  top: -48px;  opacity: 0;  }
      100% {  top: 0;   opacity: 1; }
	}
	@-webkit-keyframes reveal-tophead {
		0% {  top: -48px;  opacity: 0;  }
      100% {  top: 0;  opacity: 1;
		}
	}
	@-ms-keyframes reveal-tophead {
		0% {  top: -48px;  opacity: 0;  }
      100% {  top: 0;   opacity: 1; }
	}
	@keyframes reveal-tophead {
		0% {  top: -48px;  opacity: 0;  }
      100% {  top: 0;   opacity: 1; }
	}

	#tophead {
		background: rgba(0, 0, 0, 0.8);
		color: #a6a6a6;
		cursor: default;
		height: 48px;
		left: 0;
		line-height: 48px;
		position: fixed;
		text-align: right;
		top: 0;
		width: 100%;
		z-index: 10001;
	}

		#tophead > .logo {
			display: inline-block;
			height: inherit;
			line-height: inherit;
	        left: 5%;
			position: absolute;
			margin: 0;
			padding: 0;
			top: 0;
            width: 276px;
            height: 48px;           
    background: url('../img/uplogo.png') top left no-repeat;
    background-size: 276px 48px;                      
		}
			#tophead > .logo a {
				font-size: 1.25em;
				color: #FFF;
				text-decoration: none;
			}
			#tophead > .logo a:hover {
				color: rgba(255, 255, 255, 0.65);
				}
			#tophead > .logo span {
				font-weight: 400;
				font-size: ;
				color: rgba(255, 255, 255, 0.65);
			}

		#tophead > a {
			-moz-transition: color 0.4s ease-in-out;
			-webkit-transition: color 0.4s ease-in-out;
			-ms-transition: color 0.4s ease-in-out;
			transition: color 0.4s ease-in-out;
			display: inline-block;
			padding: 0 0;
			color: inherit;
			text-decoration: none;
            font-size: 1.1rem;
			color: #f3deb9;
			right: 0;
		}
			#tophead > a:hover {
				color: ;
			}
			#tophead > a[href="#menu"] {
				text-decoration: none;
				-webkit-tap-highlight-color: transparent;
			}
			#tophead > a[href="#menu"]:before {
			}
			#tophead > a[href="#menu"]:before {
				margin: 0 0 0 0;
			}

.mop { width: 48px; height: 48px; display: inline-block;
  background: url("../../bone/ico/ar/list4.svg") no-repeat left top; }
.mcl { width: 48px; height: 48px;
  background: url("../../bone/ico/ar/cancel2-R.svg") no-repeat left top; }

			#tophead > a + a[href="#menu"]:last-child {
				border-left: solid 1px rgba(0, 0, 0, 0.15);
				padding-left: 1.25em;
				margin-left: 0.5em;
			}
			#tophead > a:last-child {
				padding-right: 5%;
			}

@media screen and (max-width: 778px) {
		#tophead > a:last-child {
            padding-right: 0.4%;
		}
		#tophead > .logo {
	        left: 0.4%;                   
		}          
}

#tophead.reveal {
	-moz-animation: reveal-tophead 1.4s ease-in-out forwards;
	-webkit-animation: reveal-tophead 1.4s ease-in-out forwards;
	-ms-animation: reveal-tophead 1.4s ease-in-out forwards;
    animation: reveal-tophead 1.4s ease-in-out forwards;
		}

/* Menu */
	#menu {
		-moz-transform: translateX(300px);
		-webkit-transform: translateX(300px);
		-ms-transform: translateX(300px);
		transform: translateX(300px);
		-moz-transition: -moz-transform 1s ease, box-shadow 1s ease, visibility 1s;
		-webkit-transition: -webkit-transform 1s ease, box-shadow 0.5s ease, visibility 1s;
		-ms-transition: -ms-transform 1s ease, box-shadow 1s ease, visibility 1s;
		transition: transform 1s ease, box-shadow 1s ease, visibility 1s;
		-webkit-overflow-scrolling: touch;
		background: rgba(0, 0, 0, 0.9);
		box-shadow: none;
		color: #000;
		height: 90%;
		max-width: 60%;
		overflow-y: auto;
		padding: 40px 20px;
		position: fixed;
		right: 0;
		top: 0;
		visibility: hidden;
		width: 300px;
		z-index: 10002;
	}

		#menu > ul {
			margin: 0 0 1rem 0;
		}
			#menu > ul.links {
                font-size: 1.1rem;
				list-style: none;
				padding: 0;
			}
				#menu > ul.links > li {
					padding: 0;
				}
					#menu > ul.links > li > a:not(.button) {
						border: 0;
						border-top: solid 1px rgba(255, 255, 255, 0.125);
						color: rgba(243, 222, 185, 0.90);
						display: block;
						line-height: 3.8rem;
						text-decoration: none;
						text-transform: uppercase;
					}
						#menu > ul.links > li > a:not(.button):hover {
							color: #fff9ee;
						}
					#menu > ul.links > li > .button {
						display: block;
						margin: 0.5rem 0 0 0;
					}
					#menu > ul.links > li:first-child > a:not(.button) {
						border-top: 0 !important;
					}

		    #menu .close {
			text-decoration: none;
			-moz-transition: color 1s ease-in-out;
			-webkit-transition: color 1s ease-in-out;
			-ms-transition: color 1s ease-in-out;
			transition: color 1s ease-in-out;
			-webkit-tap-highlight-color: transparent;
			border: 0;
			color: #999999;
			cursor: pointer;
			display: block;
			height: 48px;
			line-height: 48px;
			padding-right: 60px;
			position: absolute;
			right: 2px;
			text-align: right;
			top: 12px;
			vertical-align: middle;
			width: 8rem;
		    }

			#menu .close:before {
            content: ''; /* 保留 content 留空 */
            display: inline-block;
            width: 32px;
            height: 32px;
            background: url('../../bone/ico/ar/cancel2-R.svg') no-repeat center;
            background-size: contain; 
			}

			#menu .close:hover {
				color:;
			}

#menu.visible {
	-moz-transform: translateX(0);
	-webkit-transform: translateX(0);
	-ms-transform: translateX(0);
	transform: translateX(0);
	box-shadow: 0 0 1.2rem 0 rgba(0, 0, 0, 0.4);
	visibility: visible;
}


@media screen and (max-width: 778px) {
		#menu .close {
           height: 32px;
           line-height: 32px;
		}
		#tophead > a {
           font-size: 0.9rem;
		}
        #menu { 
           padding: 30px 20px;
        }
		#menu > ul.links {
           font-size: 1.0rem;
		}
    	#menu > ul.links > li > a:not(.button) {
		line-height: 3rem;
		}
}

/* ----- /  /----- */

		#tophead.alt {
			-moz-animation: none;
			-webkit-animation: none;
			-ms-animation: none;
			animation: none;
			background-color: transparent;
			box-shadow: none;
			overflow: hidden;
			position: absolute;
			top: 1.5em;
		}
			#tophead.alt h1 {
				left: 2.5em;
			}
			#tophead.alt nav {
				right: 2.5em;
			}

/* ----- /  /----- */


/* -----------   3d card ------------- */

/* -----------   // 3d card ------------- */

